RASA X not working Locally

Hi I am trying to run RASA x locally, with below configuration

Rasa Version      :         2.7.1
Minimum Compatible Version: 2.6.0
Rasa SDK Version  :         2.7.0
Rasa X Version    :         0.41.1
Python Version    :         3.6.9
Operating System  :         Linux-5.4.0-77-generic-x86_64-with-Ubuntu-18.04-bionic
Python Path       :         /home/akash/rasa_dir/rasa_env/bin/python3

But it is giving following error

 sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) no such column: True
    [SQL: CREATE INDEX message_log_in_training_data_idx ON message_log (in_training_data) WHERE in_training_data is True]
    (Background on this error at: http://sqlalche.me/e/13/e3q8)

Can Anyone suggest to me how to tackle this error?

Thanks in Advance!!! @erohmensing

@AkashPandey at the time of installation, are there any dependencies or version logs you ignored?

@nik202 I have just installed the rasa x using this command, it didn’t ask me anything to ignore

pip3 install rasa-x --extra-index-url https://pypi.rasa.com/simple

@AkashPandey are there any .db files in your project directory?

@nik202 when I use the command rasa x then it creates two .db files events.db and rasa.db, but I delete them when running again the same command i.e rasa x.

@AkashPandey Why? you deleted? SQL lite is database may be its searching for that database. Try restore it from bin and try again?

Its is a default database which rasa using. You error is because of this only. sort this out and you will be fine.

@nik202 Those .db files are created when we run rasa x commands. Every time I run they come back. I guess there is some other issue.

@AkashPandey try updating sqlite3 using pip install sqlite3

OR

pip install rasa-x==0.41.1 --extra-index-url https://pypi.rasa.com/simple

OR

please check the compatibility between rasa-open source+rasa sdk+rasa x Compatibility Matrix

Try maintain the compatibly in your environment.

Further first install the rasa-open source and rasa sdk and then install the specified version of rasa x using above command.

Create the fresh environment and follow this process.

I guess it should solve you error.

@nik202 I have created new environment by following the steps mentioned by you above, I am still facing the same issue, I am sharing the whole error:

    Starting Rasa X in local mode... πŸš€
Traceback (most recent call last):
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1277, in _execute_context
    cursor, statement, parameters, context
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/sqlalchemy/engine/default.py", line 608, in do_execute
    cursor.execute(statement, parameters)
sqlite3.OperationalError: no such column: True

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/rasa/cli/x.py", line 501, in run_locally
    domain_path=domain_path,
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/rasax/community/local.py", line 234, in main
    sql_migrations.run_migrations(session)
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/rasax/community/sql_migrations.py", line 25, in run_migrations
    _run_schema_migrations(session)
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/rasax/community/sql_migrations.py", line 41, in _run_schema_migrations
    _run_alembic_migration(alembic_config)
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/rasax/community/sql_migrations.py", line 65, in _run_alembic_migration
    command.upgrade(alembic_config, target_revision)
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/alembic/command.py", line 298, in upgrade
    script.run_env()
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/alembic/script/base.py", line 489, in run_env
    util.load_python_file(self.dir, "env.py")
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/alembic/util/pyfiles.py", line 98, in load_python_file
    module = load_module_py(module_id, path)
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/alembic/util/compat.py", line 184, in load_module_py
    spec.loader.exec_module(module)
  File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/rasax/community/database/schema_migrations/alembic/env.py", line 96, in <module>
    run_migrations_online()
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/rasax/community/database/schema_migrations/alembic/env.py", line 86, in run_migrations_online
    context.run_migrations()
  File "<string>", line 8, in run_migrations
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/alembic/runtime/environment.py", line 846, in run_migrations
    self.get_context().run_migrations(**kw)
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/alembic/runtime/migration.py", line 522, in run_migrations
    step.migration_fn(**kw)
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/rasax/community/database/schema_migrations/alembic/versions/migration_2021_06_16_speedup_in_training_data_update_652500998f3e.py", line 42, in upgrade
    sqlite_where=sa.text(index_text),
  File "/usr/lib/python3.6/contextlib.py", line 88, in __exit__
    next(self.gen)
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/alembic/operations/base.py", line 353, in batch_alter_table
    impl.flush()
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/alembic/operations/batch.py", line 82, in flush
    fn(*arg, **kw)
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/alembic/ddl/impl.py", line 283, in create_index
    self._exec(schema.CreateIndex(index))
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/alembic/ddl/impl.py", line 141, in _exec
    return conn.execute(construct, *multiparams, **params)
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1011, in execute
    return meth(self, multiparams, params)
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/sqlalchemy/sql/ddl.py", line 72, in _execute_on_connection
    return connection._execute_ddl(self, multiparams, params)
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1073, in _execute_ddl
    compiled,
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1317, in _execute_context
    e, statement, parameters, cursor, context
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1511, in _handle_dbapi_exception
    sqlalchemy_exception, with_traceback=exc_info[2], from_=e
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/sqlalchemy/util/compat.py", line 182, in raise_
    raise exception
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1277, in _execute_context
    cursor, statement, parameters, context
  File "/home/akash/rasa_dir/experiments/test_env/lib/python3.6/site-packages/sqlalchemy/engine/default.py", line 608, in do_execute
    cursor.execute(statement, parameters)
sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) no such column: True
[SQL: CREATE INDEX message_log_in_training_data_idx ON message_log (in_training_data) WHERE in_training_data is True]
(Background on this error at: http://sqlalche.me/e/13/e3q8)

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.
If you need help fixing the issue visit our forum: https://forum.rasa.com/.

Its linux for both.

@nik202 I have even tried on the windows operating system. Also I tried with simple rasa bot that we get using rasa init its still giving me the error!!!

Hello,

I have the same error. I installed rasa with pip3 install rasa-x --extra-index-url https://pypi.rasa.com/simple

Here’s the log:

Traceback (most recent call last):
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1277, in _execute_context
    cursor, statement, parameters, context
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/sqlalchemy/engine/default.py", line 609, in do_execute
    cursor.execute(statement, parameters)
sqlite3.OperationalError: no such column: True

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/rasa/cli/x.py", line 501, in run_locally
    domain_path=domain_path,
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/rasax/community/local.py", line 234, in main
    sql_migrations.run_migrations(session)
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/rasax/community/sql_migrations.py", line 25, in run_migrations
    _run_schema_migrations(session)
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/rasax/community/sql_migrations.py", line 41, in _run_schema_migrations
    _run_alembic_migration(alembic_config)
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/rasax/community/sql_migrations.py", line 65, in _run_alembic_migration
    command.upgrade(alembic_config, target_revision)
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/alembic/command.py", line 298, in upgrade
    script.run_env()
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/alembic/script/base.py", line 489, in run_env
    util.load_python_file(self.dir, "env.py")
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/alembic/util/pyfiles.py", line 98, in load_python_file
    module = load_module_py(module_id, path)
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/alembic/util/compat.py", line 184, in load_module_py
    spec.loader.exec_module(module)
  File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/rasax/community/database/schema_migrations/alembic/env.py", line 96, in <module>
    run_migrations_online()
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/rasax/community/database/schema_migrations/alembic/env.py", line 86, in run_migrations_online
    context.run_migrations()
  File "<string>", line 8, in run_migrations
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/alembic/runtime/environment.py", line 846, in run_migrations
    self.get_context().run_migrations(**kw)
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/alembic/runtime/migration.py", line 522, in run_migrations
    step.migration_fn(**kw)
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/rasax/community/database/schema_migrations/alembic/versions/migration_2021_06_16_speedup_in_training_data_update_652500998f3e.py", line 42, in upgrade
    sqlite_where=sa.text(index_text),
  File "/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/contextlib.py", line 119, in __exit__
    next(self.gen)
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/alembic/operations/base.py", line 353, in batch_alter_table
    impl.flush()
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/alembic/operations/batch.py", line 82, in flush
    fn(*arg, **kw)
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/alembic/ddl/impl.py", line 283, in create_index
    self._exec(schema.CreateIndex(index))
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/alembic/ddl/impl.py", line 141, in _exec
    return conn.execute(construct, *multiparams, **params)
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1011, in execute
    return meth(self, multiparams, params)
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/sqlalchemy/sql/ddl.py", line 72, in _execute_on_connection
    return connection._execute_ddl(self, multiparams, params)
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1073, in _execute_ddl
    compiled,
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1317, in _execute_context
    e, statement, parameters, cursor, context
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1511, in _handle_dbapi_exception
    sqlalchemy_exception, with_traceback=exc_info[2], from_=e
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/sqlalchemy/util/compat.py", line 182, in raise_
    raise exception
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1277, in _execute_context
    cursor, statement, parameters, context
  File "/Users/octavian/Projects/Python3_projects/rasa/venv/lib/python3.7/site-packages/sqlalchemy/engine/default.py", line 609, in do_execute
    cursor.execute(statement, parameters)
sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) no such column: True
[SQL: CREATE INDEX message_log_in_training_data_idx ON message_log (in_training_data) WHERE in_training_data is True]
(Background on this error at: http://sqlalche.me/e/13/e3q8)

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.
If you need help fixing the issue visit our forum: https://forum.rasa.com/.

@OctaM I was not able to find the solution to it, don’t know why its happening, let me know if you got lucky !!

Hey! I just got a solution. Downgrade rasa, rasax and rasa sdk to a lower version. For me it worked with 0.40.0

You can do it in your current environment.

pip3 install rasa==2.6.2
pip3 install rasa-sdk==2.6.0
pip3 install rasa-x==0.40.0 --extra-index-url https://pypi.rasa.com/simple

@AkashPandey Hi. You need to create the fresh conda environment with python 3.6 or 3.7 or 3.8

Downgrade the pip version to 20.2

Then install

pip3 install rasa==2.6.2
pip3 install rasa-sdk==2.6.0
pip3 install rasa-x==0.40.0 --extra-index-url https://pypi.rasa.com/simple

If you have trained the model with the last version, do train the model again as per new version if you are copying the old project.

I guess you will still see some Warning messages. Do share that with us. Good Luck!

guys, i’ve got all sorts of errors. Is there one training video/instruction that shows from start to finish, how to install Rasa and Rasa X, in complete order (start to finish) on Window 10? If anyone has a recording, that is using the most current installation instructions, I will say prayers for you for a week. This is really painful… :frowning: So many damn conflicts and discrepancies between training videos…

@hgoona There is no current installation process based on New Version release of Rasa X. You can find on youtube dear. Or follow the above mention process.

Thanks @nik202 downgrading rasa, rasa x and rasa sdk worked for me.

Thanks @OctaM downgrading rasa, rasa x and rasa sdk worked for me.

1 Like

success fully i connected rasa x with custom action server using docker image,

issue was some error with python dependencies from the requirement-actions.txt file, then instead of requirement-action.txt i just mentioned the python packages from actions.py file directly in to DockerFile like below,

RUN pip install --upgrade pip &&
pip install --no-cache-dir mysql-connector fuzzywuzzy numpy pandas &&
pip install --no-cache-dir matplotlib then i created Dockerfile. now everything is working fine.